
function main() {

    createDesigner();
}

function createDesigner() {

    // Change report designer options
	var options = new Stimulsoft.Designer.StiDesignerOptions();

	options.appearance.fullScreenMode = true;

    options.toolbar.showPageButton = false;
	options.toolbar.showFileMenu = false;
    options.toolbar.showAboutButton = false;
    options.toolbar.showPublishButton = false;
    options.toolbar.showSetupToolboxButton = false;
    options.toolbar.showNewPageButton = false;
    options.toolbar.showNewDashboardButton = false;

    options.components.showImage = true;
	options.components.showShape = false;
	options.components.showPanel = false;
	options.components.showCheckBox = false;
	options.components.showSubReport = false;
    options.components.showTextInCells = false;
    options.components.showRichText = false;
    options.components.showClone = false;
    options.components.showZipCode = false;
    options.components.showChart = false;
    options.components.showSparkline = false;
    options.components.showChart = false;

    options.bands.showReportTitleBand = false;
    options.bands.showReportSummaryBand = false;
    options.bands.showPageHeaderBand = false;
    options.bands.showPageFooterBand = false;
    options.bands.showGroupHeaderBand = false;
    options.bands.showGroupFooterBand = false;
    options.bands.showHeaderBand = false;
    options.bands.showFooterBand = false;
    options.bands.showColumnHeaderBand = false;
    options.bands.showColumnFooterBand = false;
    options.bands.showDataBand = false;
    options.bands.showHierarchicalBand = false;
    options.bands.showChildBand = false;
    options.bands.showEmptyBand = false;
    options.bands.showOverlayBand = false;
    options.bands.showTable = false;

    options.crossBands.showCrossTab = false;
    options.crossBands.showCrossGroupHeaderBand = false;
    options.crossBands.showCrossGroupFooterBand = false;
    options.crossBands.showCrossHeaderBand = false;
    options.crossBands.showCrossFooterBand = false;
    options.crossBands.showCrossDataBand = false;

    // options.dictionary.showAdaptersInNewConnectionForm = false;
    // options.dictionary.showDictionary = false;
    // options.dictionary.dataSourcesPermissions = Stimulsoft.Designer.StiDesignerPermissions.None;
    // options.dictionary.dataConnectionsPermissions = Stimulsoft.Designer.StiDesignerPermissions.None;
    // options.dictionary.dataColumnsPermissions = Stimulsoft.Designer.StiDesignerPermissions.None;
    // options.dictionary.businessObjectsPermissions = Stimulsoft.Designer.StiDesignerPermissions.None;
    // options.dictionary.variablesPermissions = Stimulsoft.Designer.StiDesignerPermissions.None;
    // options.dictionary.resourcesPermissions = Stimulsoft.Designer.StiDesignerPermissions.None;

	var designer = new Stimulsoft.Designer.StiDesigner(options, "StiDesigner", false);

	// Create a new report instance
	var report = new Stimulsoft.Report.StiReport();
	// Load report from url
	report.loadFile("./template.mrt");
	// Edit report template in the designer
	designer.report = report;

    designer.renderHtml('design-container');
    window.designer = designer;
    window.report = report;

    const page = report.pages.getByIndex(0);

    var myText = new Stimulsoft.Report.Components.StiText(new Stimulsoft.System.Drawing.Rectangle(5, 5, 10, 15));
    myText.text = "My sample text";
    myText.font = new Stimulsoft.System.Drawing.Font("Arial", 8, "Point", 2);
    myText.top = 2;
    myText.left = 2;
    myText.height = 0.5;
    myText.width = 5;
    page.components.add(myText);
}


main();